List hosts
/v1/hostsTo list all the hosts you have ordered, send a GET request to /v1/hosts. You can specify the request using the following query parameters to adjust output.
Authorization
bearerAuth In: header
Query Parameters
This pattern is used to return resources containing the parameter value in its name.
A unique identifier of a location. A request to list all the location IDs is described in the Location block.
A host type. It can be a dedicated_server, kubernetes_baremetal_node or sbm_server.
Value in
- "dedicated_server"
- "kubernetes_baremetal_node"
- "sbm_server"
A unique identifier of a rack where a host is deployed.
This parameter will filter results by labels. More details in the Labels section.
The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.
1 <= value <= 10020The number of a page (>= 1) that will be returned. By default, it's 1.
1 <= value1This parameter sorts items. By default, it's id.
"id"Value in
- "id"
- "created_at"
- "updated_at"
This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.
"ASC"Value in
- "ASC"
- "DESC"
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/hosts"[ { "id": "openxlb7", "rack_id": "4zbqjrdp", "title": "title78", "location_id": 131, "location_code": "location280", "status": "active", "operational_status": "normal", "power_status": "powered_on", "configuration": "REMM R123", "private_ipv4_address": null, "public_ipv4_address": null, "lease_start_at": "2026-05-25", "scheduled_release_at": null, "type": "dedicated_server", "oob_ipv4_address": "198.29.114.3", "labels": {}, "created_at": "2026-05-28T06:56:06Z", "updated_at": "2026-05-28T06:56:06Z" }]{ "message": "Bad request", "code": "BAD_REQUEST", "params": [ "page" ]}